Package wx :: Module html :: Class HtmlHelpDialog

[frames | no frames]

## Type HtmlHelpDialog

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
            TopLevelWindow --+
                             |
                        Dialog --+
                                 |
                                HtmlHelpDialog

Proxy of C++ HtmlHelpDialog class

Method Summary
| ``__init__`(self, *args, **kwargs)` HtmlHelpData data=None) -> HtmlHelpDialog
bool | ``Create`(self, parent, id, pos, size, style, name)` Create the GUI part of the Window for 2-phase creation mode.
HtmlHelpController | `GetController(self)`
HtmlHelpData | `GetData(self)`
HtmlHelpWindow | `GetHelpWindow(self)`
| `SetController(self, controller)`
| `SetTitleFormat(self, format)`

Property Summary
| `Controller`: See `GetController` and `SetController`
| `Data`: See `GetData`
| `HelpWindow`: See `GetHelpWindow`
| `thisown`: The membership flag

Class Variable Summary

Instance Method Details

### __init__(self, *args, **kwargs)
(Constructor)

__init__(self, Window parent, int ?, String title=EmptyString, int style=HF_DEFAULT_STYLE,
  HtmlHelpData data=None) -> HtmlHelpDialog

  Overrides:
    `wx.Dialog.__init__`

### Create(self, parent, id, title=EmptyString, style=HF_DEFAULT_STYLE)

Create the GUI part of the Window for 2-phase creation mode.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.Dialog.Create` (inherited documentation)

Property Details

### Controller

See `GetController` and `SetController`

  Get Method:
    `GetController`(self)
  Set Method:
    `SetController`(self, controller)

### Data

See `GetData`

  Get Method:
    `GetData`(self)

### HelpWindow

See `GetHelpWindow`

  Get Method:
    `GetHelpWindow`(self)

### thisown

The membership flag

  Get Method:
    unknown--1218965292(...)
  Set Method:
    unknown--1218965236(...)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:06 2007 | http://epydoc.sf.net